.btn-link {
    --bs-btn-font-weight: 400;
    --bs-btn-color: #43A047;
    --bs-btn-bg: transparent;
    --bs-btn-border-color: transparent;
    --bs-btn-hover-color: #43A047;
    --bs-btn-hover-border-color: transparent;
    --bs-btn-active-color: #43A047;
    --bs-btn-active-border-color: transparent;
    --bs-btn-disabled-color: #6c757d;
    --bs-btn-disabled-border-color: transparent;
    --bs-btn-box-shadow: none;
    --bs-btn-focus-shadow-rgb: 198, 26, 84;
    text-decoration: none;
}

.form-control, .form-control:focus {
    border: 1px solid;
    padding: 0.5rem;
}

label.error {
    color: #ff0000;
}

.sidenav-header {
    height: auto;
}

.navbar-vertical .navbar-brand > img, .navbar-vertical .navbar-brand-img {
    max-width: 100%;
    max-height: initial;
}

.navbar-vertical.navbar-expand-xs .navbar-collapse {
    overflow: auto;
    height: auto;
}

.sidenav-toggler-inner {
    width: 18px;
}

.card .card {
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.6);
}

.sidenav-toggler-inner .sidenav-toggler-line {
    transition: all .15s ease;
    background: #7b809a;
    border-radius: .1rem;
    position: relative;
    display: block;
    height: 2px;
}

.sidenav-toggler-inner .sidenav-toggler-line:not(:last-child) {
    margin-bottom: 3px;
}

.ps__thumb-x {
    display: none !important;
}

.select2-container--default .select2-selection--single{
    background: transparent;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid;
    color: #ffffff;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #ffffff;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: #ffffff;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: #ffffff transparent transparent transparent;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    border-color: transparent transparent #ffffff transparent;
}

/* Chat */
.chat-header {
    padding: 15px;
    background-color: #075E54;
    color: #ffffff;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
}

.chat-messages {
    flex: 1;
    padding: 15px;
    overflow-y: auto;
    background-color: #e5ddd5;
}

.message {
    display: flex;
    flex-direction: column;
    max-width: 45%;
    margin-bottom: 15px;
    border-radius: 8px;
    padding: 10px;
    position: relative;
    word-wrap: break-word;
}

.message-received {
    background-color: #ffffff;
    align-self: flex-start;
    border-radius: 8px 8px 8px 0;
}

.message-sent {
    background-color: #dcf8c6;
    align-self: flex-end;
    border-radius: 8px 8px 0 8px;
    margin-left: auto; /* Adicione esta linha para empurrar o balão para a direita */
}

.message-content {
    margin-bottom: 5px;
}

.message-time {
    font-size: 12px;
    color: #555;
    align-self: flex-end;
}

.chat-input {
    display: flex;
    align-items: center;
    padding: 10px;
    background-color: #f0f0f0;
    border-top: 1px solid #ddd;
}

.chat-input input {
    flex: 1;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 20px;
    outline: none;
    font-size: 14px;
    margin-right: 10px;
}

.chat-input button {
    padding: 10px 20px;
    background-color: #075E54;
    color: #ffffff;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    font-size: 14px;
}

.chat-input button:hover {
    background-color: #0a7367;
}
